{% extends 'base.html' %}

{% block content %}
  <h1>{% block title %} Contas do usuário: {{ usuario }} {% endblock %}</h1>
  <div class="container bg-secondary-subtle border border-secondary-subtle rounded">
    {% for conta in contas %}
       <div class="row">
         <div class="col">
           {{ conta[1] }}
           <form name="frmusu" method="post" action="http://127.0.0.1:5000/exibe_chave">
	      <input type="hidden" name="oid_conta" value="{{ conta[0] }}">
	      <input type="hidden" name="usuario" value="{{ usuario }}">
	      <input type="hidden" name="conta" value="{{ conta[1] }}">
         </div>
	 <!--
         <div class="col">
		 <img src="{{ url_for('static', filename='') }}{{ conta[2] }}" with="100" height="100">
         </div>
	 -->
         <div class="col">			    
              <button class="btn text-success bg-success-subtle" type="submit">Secret</button>
	   </form>
         </div>
         <div class="col">
           <form name="frmqrcode" method="post" action="http://127.0.0.1:5000/qrcode">
	      <input type="hidden" name="usuario" value="{{ usuario }}">
	      <input type="hidden" name="arquivo" value="{{ conta[2] }}">
              <button class="btn text-success bg-success-subtle" type="submit">QRcode</button>
	   </form>
         </div>
       </div>
    {% endfor %}
       <div class="row">
         <div class="col">
           <form name="frmusu" method="post" action="http://127.0.0.1:5000/conta">
	      <input type="hidden" name="usuario" value="{{ usuario }}">
              <button class="btn text-success bg-success-subtle" type="submit">Nova chave otp</button>
	   </form>
         </div>
       </div>
  </div>
{% endblock %}
